Bug 108736 - FileSystem mods: Changes to snapshot file creation to reduce dependencies on blobs
Summary: FileSystem mods: Changes to snapshot file creation to reduce dependencies on ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Michael Nordman
URL:
Keywords:
Depends on:
Blocks: 108733 108851
  Show dependency treegraph
 
Reported: 2013-02-01 18:13 PST by Michael Nordman
Modified: 2013-02-04 13:03 PST (History)
6 users (show)

See Also:


Attachments
api (5.08 KB, patch)
2013-02-01 18:26 PST, Michael Nordman
no flags Details | Formatted Diff | Diff
Patch for landing (5.32 KB, patch)
2013-02-02 21:21 PST, Adam Barth
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Nordman 2013-02-01 18:13:35 PST
FileSystem mods: Changes to snapshot file creation to reduce dependencies on blobs.

This patch is the 1st in a series of changes that straddle webkit vs chromium repositories.

1) WK: Declare new virtual createSnapshotFile/didCreateSnapshotFile public api methods.
2) CR: Implement the new create method such that the didCreate method is invoked in response.
    see https://codereview.chromium.org/12084077/
3) WK: Use the new create method and implement the new didCreate method.
    see https://codereview.chromium.org/12183004/ for a preview
3) CR: Cleanup the obsolete/deprecated blocks of code.
Comment 1 Michael Nordman 2013-02-01 18:26:21 PST
Created attachment 186200 [details]
api
Comment 2 WebKit Review Bot 2013-02-01 18:28:35 PST
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 3 WebKit Review Bot 2013-02-02 20:43:29 PST
Comment on attachment 186200 [details]
api

Rejecting attachment 186200 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=gce-cq-03', 'validate-changelog', '--non-interactive', 186200, '--port=chromium-xvfb']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue

/mnt/git/webkit-commit-queue/Source/WebKit/chromium/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/16355229
Comment 4 Adam Barth 2013-02-02 21:20:25 PST
Comment on attachment 186200 [details]
api

View in context: https://bugs.webkit.org/attachment.cgi?id=186200&action=review

> Source/WebKit/chromium/ChangeLog:7
> +        https://bugs.webkit.org/show_bug.cgi?id=108736

Looks like this ChangeLog is missing the "Reviewed by NOBODY (OOPS!)." line
Comment 5 Adam Barth 2013-02-02 21:21:47 PST
Created attachment 186248 [details]
Patch for landing
Comment 6 WebKit Review Bot 2013-02-02 22:14:25 PST
Comment on attachment 186248 [details]
Patch for landing

Clearing flags on attachment: 186248

Committed r141712: <http://trac.webkit.org/changeset/141712>
Comment 7 WebKit Review Bot 2013-02-02 22:14:29 PST
All reviewed patches have been landed.  Closing bug.